VST 3 Interfaces: ITest Class Reference
Author: Steinberg

VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Attributes | List of all members
ITest Class Referenceabstract

    ------------------------------------------------------------------------

ITest interface declaration More...

`#include <itest.h>`

Inheritance diagram for ITest:

## Public Member Functions
virtual bool | setup ()=0
| called immediately before the test is actually run.
virtual bool | run (ITestResult *testResult)=0
| execute the test.
virtual bool | teardown ()=0
| called after the test has run.
virtual const char * | getDescription ()
| This function is used to provide information about the performed testcase.
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

    ------------------------------------------------------------------------

ITest interface declaration

## Member Function Documentation

virtual bool setup | ( |  | ) |
| pure virtual

called immediately before the test is actually run.

Usually this will be used to setup the test environment.

Returns
  true upon success

Implemented in TestBase, and TestEnh.

virtual bool run | ( | ITestResult * | testResult | ) |
| pure virtual

execute the test.

Parameters

  testResult | : points to a test result where the test can (optionally) add an error message.

Returns
  true upon success

See Also
  ITestResult

Implemented in TestBase.

virtual bool teardown | ( |  | ) |
| pure virtual

called after the test has run.

This method shall be used to deconstruct a test environment that has been setup with ITest::setup ().

Returns
  true upon success

Implemented in TestBase, and TestEnh.

virtual const char* getDescription | ( |  | ) |
| inlinevirtual

This function is used to provide information about the performed testcase.

What is done, what is validated and what has to be prepared before executing the test (in case of half-automated tests).

Returns
  null terminated string upon success, zero otherwise

## Member Data Documentation

const FUID iid
| static

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.